services:

  # FileWriterEntity
  C4S\ShopObjectExporterBundle\File\Object\FileWriterEntity:
    factory: ['C4S\ShopObjectExporterBundle\File\Object\FileWriterEntityFactory', create]
    shared: false
    public: true

  # FileWriterEntity - Article
  fileWriterEntity.article:
    alias: C4S\ShopObjectExporterBundle\File\Object\FileWriterEntity
    public: true

  # FileWriterEntity - ArticleGroup
  fileWriterEntity.articlegroup:
    alias: C4S\ShopObjectExporterBundle\File\Object\FileWriterEntity
    public: true

  # FileWriterEntity - Category
  fileWriterEntity.category:
    alias: C4S\ShopObjectExporterBundle\File\Object\FileWriterEntity
    public: true

  # FileWriterEntity - Material
  fileWriterEntity.material:
    alias: C4S\ShopObjectExporterBundle\File\Object\FileWriterEntity
    public: true